# include "dvoshell.h"

int avextract	    PROTO((int, char **));
int badimages	    PROTO((int, char **));
int calextract	    PROTO((int, char **));
int calmextract	    PROTO((int, char **));
int catlog	    PROTO((int, char **));
int catdir_define   PROTO((int, char **));
int ccd		    PROTO((int, char **));
int cmatch	    PROTO((int, char **));
int cmd		    PROTO((int, char **));
int cmpload	    PROTO((int, char **));
int cmpread	    PROTO((int, char **));
int ddmags	    PROTO((int, char **));
int detrend	    PROTO((int, char **));
int dmagaves	    PROTO((int, char **));
int dmagmeas	    PROTO((int, char **));
int dmags	    PROTO((int, char **));
int dmt		    PROTO((int, char **));
int elixir          PROTO((int, char **));
int fitcolors       PROTO((int, char **));
int fitsed          PROTO((int, char **));
int gcat	    PROTO((int, char **));
int getxtra	    PROTO((int, char **));
int gimages	    PROTO((int, char **));
int gstar	    PROTO((int, char **));
int gtypes	    PROTO((int, char **));
int images	    PROTO((int, char **));
int imbox	    PROTO((int, char **));
int imdata	    PROTO((int, char **));
int imdense	    PROTO((int, char **));
int imextract	    PROTO((int, char **));
int imlist	    PROTO((int, char **));
int imphot	    PROTO((int, char **));
int imrough	    PROTO((int, char **));
int imsearch	    PROTO((int, char **));
int imstats	    PROTO((int, char **));
int lcat	    PROTO((int, char **));
int lcurve	    PROTO((int, char **));
int lightcurve	    PROTO((int, char **));
int mextract	    PROTO((int, char **));
int pcat	    PROTO((int, char **));
int photcodes	    PROTO((int, char **));
int pmeasure	    PROTO((int, char **));
int paverage	    PROTO((int, char **));
int procks	    PROTO((int, char **));
int showtile	    PROTO((int, char **));
int skycat	    PROTO((int, char **));
int skycoverage	    PROTO((int, char **));
int simage	    PROTO((int, char **));
int subpix	    PROTO((int, char **));
int version         PROTO((int, char **));

/* temporarily exclude
int addxtra	    PROTO((int, char **));
  {"addxtra",     addxtra,      "add extra data to object"},
  {"getxtra",     getxtra,      "get extra data from object"},
  {"catalog",     catlog,       "plot catalog stars"},
*/

static Command cmds[] = {  
  {"avextract",   avextract,    "extract average data values"},
  {"badimages",   badimages,    "look for images with anomalous astrometry"},
  {"calextract",  calextract,   "extract photometry calibration"},
  {"calmextract", calmextract,  "extract photometry calibration"},
  {"catdir",      catdir_define,"re-define CATDIR"},
  {"ccd",         ccd,          "plot color-color diagram"},
  {"cmatch",      cmatch,       "match two catalogs"},
  {"cmd",         cmd,          "plot cmd of stars in current region"},
  {"cmpload",     cmpload,      "load cmp file into ?"},
  {"cmpread",     cmpread,      "read data from cmp format files"},
  {"ddmags",      ddmags,       "plot magnitude differences"},
  {"detrend", 	  detrend,      "extract from detrend database?"},
  {"dmagaves",    dmagaves,     "foo"},
  {"dmagmeas",    dmagmeas,     "foo"},
  {"dmags",       dmags,        "plot differential magnitudes between filters"},
  {"dmt",         dmt,          "plot mag scatter"},
  {"elixir",      elixir,       "talk to elixir"},
  {"fitcolors",   fitcolors,    "fit chip-to-chip color terms"},
  {"fitsed",      fitsed,       "fit stellar SEDs to objects"},
  {"gcat",    	  gcat,         "get catalog at location"},
  {"gimages", 	  gimages,      "get images at location"},
  {"gstar",       gstar,        "get star statistics"},
  {"images",  	  images,       "plot image boxes"},
  {"imbox",   	  imbox,        "plot expected image box"},
  {"imdata",  	  imdata,       "extract data for specific images"},
  {"imdense", 	  imdense,      "image density plot"},
  {"imextract",   imextract,    "extract vectors from catalogs"},
  {"imlist",      imlist,       "list image info"},
  {"imphot",      imphot,       "image photometry info"},
  {"imrough",     imrough,      "get info from imruf database"},
  {"imsearch",    imsearch,     "get info from imreg database"},
  {"imstats", 	  imstats,      "plot image statistics"},
  {"lcat",    	  lcat,         "list catalogs in region"},
  {"lcurve",      lcurve,       "plot lightcurve for a star"},
  {"lightcurve",  lightcurve,   "extract lightcurve for a star"},
  {"mextract",    mextract,     "extract measure data values"},
  {"pcat",    	  skycat,       "plot catalog boundaries"},
  {"photcodes",   photcodes,    "list photometry codes"},
  {"pmeasure",    pmeasure,     "plot individual measurements"},
  {"paverage",    paverage,     "plot average magnitude"},
  {"procks",      procks,       "plot rocks"},
  {"showtile",    showtile,     "plot tile pattern"},
  {"skycat",      skycat,       "show sky catalog boundaries"},
  {"skycoverage", skycoverage,  "measure image union on sky"},
  {"simage",      simage,       "plot stars in an image"},
  {"subpix",      subpix,       "get subpixel positions"},
  {"version",     version,      "show version information"},
}; 

/* move to astro */

void InitDVO () {
  
  int i;

  for (i = 0; i < sizeof (cmds) / sizeof (Command); i++) {
    AddCommand (&cmds[i]);
  }
}
